TechDraw "Указать горизонтальный габаритный размер"

From FreeCAD Documentation
Revision as of 08:54, 29 May 2023 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
Other languages:

Указать горизонтальный габаритный размер

Системное название
TechDraw_HorizontalExtentDimension
Расположение в меню
TechDraw → Размеры → Указать горизонтальный габаритный размер
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Указать длину, Указать вертикальный габаритный размер

Описание

The TechDraw HorizontalExtentDimension tool adds a linear dimension to a View. The dimension extends from the left most point on the selected objects to the right most point. A CosmeticVertex will be placed at each point.

Horizontal Extent dimension of B-spline Face

Применение

  1. Select a View or a collection of Edges in a View.
  2. Press the Horizontal Extent Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Ограничения

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Свойства

See TechDraw LengthDimension. Exceptions noted below.

Данные

  • ДанныеMeasureType: true - based on 3D geometry or "Projected" - based on the drawing. Not normally manipulated directly by the end user. Not yet implemented for Dimension Horizontal Extent.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The Horizontal Extent Dimension tool can be used in macros and from the Python console by using the following functions:

selection = ['Edge1', 'Edge2']                      # or [] for all

TechDraw.makeExtentDim(view1, selection, 0)         # view1 is a DrawViewPart; 0 for horizontal
App.ActiveDocument.DimExtent.Y = -60                # offset dimension line from dimensioned edges in Y direction
App.ActiveDocument.DimExtent.X = 10                 # offset dimension text along dimension line in X direction
App.ActiveDocument.DimExtent.FormatSpec = '%.0f'    # Dimension format

TechDraw.makeExtentDim(view1, selection, 1)         # view1 is a DrawViewPart; 1 for vertical
App.ActiveDocument.DimExtent001.X = -130            # offset dimension line from dimensioned edges in X direction
App.ActiveDocument.DimExtent001.Y = 10              # offset dimension text along dimension line in Y direction
App.ActiveDocument.DimExtent001.FormatSpec = '%.0f'

# Note the dimension names are 'DimExtent', 'DimExtent001' etc in the order created.